Bug 179391 - Make CSSOM APIs append rather than replace slots in the declaration block.
Summary: Make CSSOM APIs append rather than replace slots in the declaration block.
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL: https://github.com/w3c/csswg-drafts/i...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-07 14:14 PST by Emilio Cobos Álvarez (:emilio)
Modified: 2018-05-22 04:43 PDT (History)
6 users (show)

See Also:


Attachments
Patch (12.42 KB, patch)
2018-05-20 12:00 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (for CQ only) (773.92 KB, patch)
2018-05-20 12:09 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (764.91 KB, patch)
2018-05-20 13:11 PDT, Emilio Cobos Álvarez (:emilio)
emilio: commit-queue-
Details | Formatted Diff | Diff
Patch (12.42 KB, patch)
2018-05-21 05:57 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (12.50 KB, patch)
2018-05-21 08:20 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.29 MB, application/zip)
2018-05-21 09:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.78 MB, application/zip)
2018-05-21 09:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.25 MB, application/zip)
2018-05-21 10:06 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews112 for mac-sierra (3.03 MB, application/zip)
2018-05-21 10:16 PDT, Build Bot
no flags Details
Patch (21.43 KB, patch)
2018-05-21 11:51 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (21.34 KB, patch)
2018-05-22 01:43 PDT, Emilio Cobos Álvarez (:emilio)
no flags Details | Formatted Diff | Diff
Patch (23.27 KB, patch)
2018-05-22 02:39 PDT, Emilio Cobos Álvarez (:emilio)
emilio: review?
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.27 MB, application/zip)
2018-05-22 03:47 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-sierra (3.00 MB, application/zip)
2018-05-22 04:22 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews200 for win-future (12.90 MB, application/zip)
2018-05-22 04:43 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emilio Cobos Álvarez (:emilio) 2017-11-07 14:14:43 PST
Otherwise logical properties work inconsistently with them.

See the URL for more background and the CSSWG resolution.
Comment 1 Emilio Cobos Álvarez (:emilio) 2018-05-20 12:00:56 PDT
Created attachment 340796 [details]
Patch
Comment 2 Emilio Cobos Álvarez (:emilio) 2018-05-20 12:09:44 PDT
Created attachment 340797 [details]
Patch (for CQ only)
Comment 3 Emilio Cobos Álvarez (:emilio) 2018-05-20 13:11:50 PDT
Created attachment 340801 [details]
Patch
Comment 4 Emilio Cobos Álvarez (:emilio) 2018-05-20 13:12:42 PDT
Updated a test to avoid depending on the number of properties the browser supports.

https://github.com/w3c/web-platform-tests/pull/11083
Comment 5 Emilio Cobos Álvarez (:emilio) 2018-05-20 13:16:26 PDT
Comment on attachment 340801 [details]
Patch

Err, webkit-patch-upload got really confused. This patch should've gone in bug 185805.
Comment 6 Emilio Cobos Álvarez (:emilio) 2018-05-21 05:57:27 PDT
Created attachment 340844 [details]
Patch
Comment 7 Emilio Cobos Álvarez (:emilio) 2018-05-21 08:20:55 PDT
Created attachment 340852 [details]
Patch
Comment 8 Build Bot 2018-05-21 09:29:29 PDT
Comment on attachment 340852 [details]
Patch

Attachment 340852 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7753385

New failing tests:
fast/css/custom-properties/rule-property-set.html
fast/events/ondrop-text-html.html
editing/pasteboard/copy-paste-converts-sticky.html
editing/pasteboard/copy-paste-converts-fixed.html
fast/dom/MutationObserver/observe-attributes.html
fast/css/set-inline-style-recalc.html
fast/dom/css-set-property-exception.html
Comment 9 Build Bot 2018-05-21 09:29:30 PDT
Created attachment 340853 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2018-05-21 09:35:26 PDT
Comment on attachment 340852 [details]
Patch

Attachment 340852 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7753392

New failing tests:
fast/css/custom-properties/rule-property-set.html
editing/pasteboard/copy-paste-converts-sticky.html
editing/pasteboard/copy-paste-converts-fixed.html
fast/dom/MutationObserver/observe-attributes.html
fast/css/set-inline-style-recalc.html
fast/dom/css-set-property-exception.html
Comment 11 Build Bot 2018-05-21 09:35:28 PDT
Created attachment 340854 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 12 Build Bot 2018-05-21 10:06:53 PDT
Comment on attachment 340852 [details]
Patch

Attachment 340852 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7753436

New failing tests:
fast/css/custom-properties/rule-property-set.html
editing/pasteboard/copy-paste-converts-sticky.html
editing/pasteboard/copy-paste-converts-fixed.html
fast/dom/MutationObserver/observe-attributes.html
fast/css/set-inline-style-recalc.html
fast/dom/css-set-property-exception.html
Comment 13 Build Bot 2018-05-21 10:06:55 PDT
Created attachment 340856 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 14 Build Bot 2018-05-21 10:16:52 PDT
Comment on attachment 340852 [details]
Patch

Attachment 340852 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7753463

New failing tests:
fast/css/custom-properties/rule-property-set.html
fast/events/ondrop-text-html.html
editing/pasteboard/copy-paste-converts-sticky.html
editing/pasteboard/copy-paste-converts-fixed.html
fast/dom/MutationObserver/observe-attributes.html
fast/css/set-inline-style-recalc.html
fast/dom/css-set-property-exception.html
Comment 15 Build Bot 2018-05-21 10:16:54 PDT
Created attachment 340859 [details]
Archive of layout-test-results from ews112 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews112  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 16 Emilio Cobos Álvarez (:emilio) 2018-05-21 11:51:21 PDT
Created attachment 340866 [details]
Patch
Comment 17 Emilio Cobos Álvarez (:emilio) 2018-05-22 01:43:29 PDT
Created attachment 340961 [details]
Patch
Comment 18 Emilio Cobos Álvarez (:emilio) 2018-05-22 02:39:06 PDT
Created attachment 340965 [details]
Patch
Comment 19 Build Bot 2018-05-22 03:47:36 PDT
Comment on attachment 340965 [details]
Patch

Attachment 340965 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7763297

New failing tests:
fast/events/ondrop-text-html.html
Comment 20 Build Bot 2018-05-22 03:47:38 PDT
Created attachment 340967 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 21 Build Bot 2018-05-22 04:22:44 PDT
Comment on attachment 340965 [details]
Patch

Attachment 340965 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7763341

New failing tests:
fast/events/ondrop-text-html.html
Comment 22 Build Bot 2018-05-22 04:22:46 PDT
Created attachment 340971 [details]
Archive of layout-test-results from ews117 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 23 Build Bot 2018-05-22 04:43:10 PDT
Comment on attachment 340965 [details]
Patch

Attachment 340965 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7763564

New failing tests:
http/tests/security/video-poster-cross-origin-crash2.html
Comment 24 Build Bot 2018-05-22 04:43:21 PDT
Created attachment 340972 [details]
Archive of layout-test-results from ews200 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews200  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit